package org.kne.cloud.klalb.uitool;

import java.awt.Graphics;
import javax.swing.Action;
import javax.swing.Icon;
import javax.swing.JButton;

public class XButton extends JButton{
	/**
	 * 
	 */
	public XButton() {
		super();
		super.setContentAreaFilled(false);
	}

	public XButton(Action a) {
		super(a);
		super.setContentAreaFilled(false);
	}

	public XButton(Icon icon) {
		super(icon);
		super.setContentAreaFilled(false);
	}

	public XButton(String text, Icon icon) {
		super(text, icon);
		super.setContentAreaFilled(false);
	}

	public XButton(String text) {
		super(text);
		super.setContentAreaFilled(false);
	}
	


	@Override
	public void paint(Graphics g) {
			g.setColor(getBackground());
			g.fillRoundRect(0, 0, getWidth()-1, getHeight()-1, 20, 20);
		super.paint(g);
	}
	
}
